#### PyKDE - Python Bindings for KDE

# class KDateValidator |
Table of contents
Modules
kdeui Classes
All Classes

Module | kdeui
Class | KDateValidator
Inherits | QValidator

### methods

- KDateValidator (parent = 0, name = 0)

  returns a KDateValidator instance
  Argument | Type | Default
  --- | --- | ---
  parent | QWidget | 0
  name | char | 0

- date (a0, a1)

  returns (State)
  Argument | Type | Default
  --- | --- | ---
  a0 | QString |
  a1 | QDate |

- fixup (input)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  input | QString |

- validate (a0)

  returns (State) a1 (int)
  Argument | Type | Default
  --- | --- | ---
  a0 | QString |